/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
/*static char *SCCSID = "@(#)cmdproto.h 6.1 92/02/28";*/


//
//  Command_Parser local function - PROTOTYPES
//

VOID NEAR Insert_End_Token();
BOOL NEAR Locate_First_Slash();
INT  NEAR strlength(CHAR FAR *);
BOOL NEAR strncmp(CHAR FAR *,CHAR FAR *,INT);
USHORT NEAR strlen(CHAR FAR *);
BOOL NEAR Parse_Option_Value();
VOID NEAR Skip_Over_Blanks();
VOID NEAR char_parser();
VOID NEAR d_parser();
VOID NEAR dd_parser();
VOID NEAR hh_parser();
VOID NEAR hhhh_parser();
VOID NEAR format_parser();
VOID NEAR scsi_id_parser();
VOID NEAR geometry_parser();
BOOL NEAR Insert_Token();
BOOL NEAR Locate_Next_Slash();
BOOL NEAR Validate_State_Index(USHORT);
BOOL NEAR HH_Char_To_Byte();


